% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/back_transform_zscore.R
\name{back_transform_zscore}
\alias{back_transform_zscore}
\title{Back Transform Z-Score to Original Scale}
\usage{
back_transform_zscore(z, mean, sd)
}
\arguments{
\item{z}{A numeric value or vector of z-scores to be transformed back to the original scale.}

\item{mean}{The mean of the original dataset from which the z-score was calculated.}

\item{sd}{The standard deviation of the original dataset from which the z-score was calculated.}
}
\value{
Returns a numeric value or vector of the original scale values corresponding to the input z-scores.
}
\description{
This function takes a z-score and transforms it back to its original scale
using the specified mean and standard deviation of the original data. Often,
standardization has been applied and the original scale values are needed for
interpretation.
}
\examples{
# Given a dataset with mean = 100 and sd = 15
original_value <- back_transform_zscore(z = 1.5, mean = 100, sd = 15)
print(original_value)

}
